Home

# Class goog.storage.mechanism.IterableMechanism

Interface for all iterable storage mechanisms.

extends goog.storage.mechanism.Mechanism

Instance Method Summary
| `__iterator__(boolean= opt_keys) ⇒ !goog.iter.Iterator` Returns an iterator that iterates over the elements in the storage. Will throw goog.iter.StopIteration after the last element.
| `clear()` Remove all key-value pairs. Could be overridden in a subclass, as the default implementation is not very efficient - it iterates over all keys.
| `getCount() ⇒ number` Get the number of stored key-value pairs. Could be overridden in a subclass, as the default implementation is not very efficient - it iterates over all keys.